Status: In Progress Start date: 01/12/2023
Priority: Normal % Done: 50%
Assignee:

Category:

Description

I am trying to follow the suggested syntax for appending individual level files across waves into a long format. However | wish to
retain some variables that are not available in all the waves.

When | try to use the syntax dofile available on the website (MERGING INDIVIDUAL FILES ACROSS WAVES INTO LONG
FORMAT) | get error messages when it encounters variables that are only available in some waves (e.g. "variable a_simrace not
found").

| noticed on the moodle course a command called "isvar" was proposed as a solution. However, when | try this | also get an error
message, saying that "the command isvar is not recognised” (I am using Stata version 17).

What do you propose?

Thank you very much for your help

History

#1 - 01/12/2023 02:20 PM - Ingrid Storm

| just found the answer to this myself- of course: isvar is a user generated command and | only had to download it (apoligies -it's been a while since |
used Stata), but if | may suggest something it would be to include the link/ explanation for this in your material so it is easier to understand and find.
Thank you very much,

Ingrid

#2 - 01/19/2023 11:45 AM - Understanding Society User Support Team

- Status changed from New to In Progress

- % Done changed from 0 to 50

- Private changed from Yes to No

Hello Ingrid,

Thank you for bringing this to our attention. We are going to update our syntax to include your suggestion.
Once it is done, we let you know.

Best wishes
Understanding Society User Support Team

#3 - 02/23/2023 11:02 AM - Understanding Society User Support Team

- Status changed from In Progress to Feedback

#4 - 02/23/2023 11:02 AM - Understanding Society User Support Team

- Status changed from Feedback to In Progress
